#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk-vnc
Version		:	1.3.1
Release		:	14.8.0.0%{?dist}
Summary		:	A GTK widget for VNC clients
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://gitlab.gnome.org/GNOME/gtk-vnc
			# https://download.gnome.org/sources/

Source0		:	%{name}-%{version}.tar.xz
 
#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gnutls
BuildRequires	:	libgcrypt
BuildRequires	:	meson
BuildRequires	:	pulseaudio
BuildRequires	:	ninja
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
'%{name}' is a VNC viewer widget for GTK.
It is built using coroutines allowing it to be
completely asynchronous while remaining single threaded.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/gvnccapture
%{_libdir}/libgtk-vnc-2.0.so.*
%{_libdir}/libgvnc-1.0.so.*
%{_libdir}/libgvncpulse-1.0.so.*
%{_libdir}/girepository-1.0/GtkVnc-2.0.typelib
%{_libdir}/girepository-1.0/GVnc-1.0.typelib
%{_libdir}/girepository-1.0/GVncPulse-1.0.typelib
%{_datadir}/vala/vapi/gtk-vnc-2.0.deps
%{_datadir}/vala/vapi/gtk-vnc-2.0.vapi
%{_datadir}/vala/vapi/gvnc-1.0.deps
%{_datadir}/vala/vapi/gvnc-1.0.vapi
%{_datadir}/vala/vapi/gvncpulse-1.0.deps
%{_datadir}/vala/vapi/gvncpulse-1.0.vapi
%{_mandir}/man1/gvnccapture.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-2.0/*.h
%{_includedir}/gvnc-1.0/*.h
%{_includedir}/gvncpulse-1.0/*.h
%{_libdir}/lib%{name}-2.0.so
%{_libdir}/libgvnc-1.0.so
%{_libdir}/libgvncpulse-1.0.so
%{_libdir}/pkgconfig/%{name}-2.0.pc
%{_libdir}/pkgconfig/gvnc-1.0.pc
%{_libdir}/pkgconfig/gvncpulse-1.0.pc
%{_datadir}/gir-1.0/GtkVnc-2.0.gir
%{_datadir}/gir-1.0/GVnc-1.0.gir
%{_datadir}/gir-1.0/GVncPulse-1.0.gir

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--buildtype=release				\
	_bld

ninja							\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
        ninja						\
        -C _bld						\
        install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
